## IAnjutaEditorLanguage

IAnjutaEditorLanguage — Text editor language interface

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-editor-language.h>

    #define             IANJUTA_EDITOR_LANGUAGE_ERROR
                        IAnjutaEditorLanguage;
                        IAnjutaEditorLanguageIface;
    GQuark              ianjuta_editor_language_error_quark (void);
    const gchar *       ianjuta_editor_language_get_language
                                                            (IAnjutaEditorLanguage *obj,
                                                             GError **err);
    const gchar *       ianjuta_editor_language_get_language_name
                                                            (IAnjutaEditorLanguage *obj,
                                                             const gchar *language,
                                                             GError **err);
    const GList*        ianjuta_editor_language_get_supported_languages
                                                            (IAnjutaEditorLanguage *obj,
                                                             GError **err);
    void                ianjuta_editor_language_set_language
                                                            (IAnjutaEditorLanguage *obj,
                                                             const gchar *language,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaEditorLanguage

## Prerequisites

IAnjutaEditorLanguage requires IAnjutaEditor and GObject.

## Signals

      "language-changed"                               : Run Last

## Description

## Details

### IANJUTA_EDITOR_LANGUAGE_ERROR

    #define IANJUTA_EDITOR_LANGUAGE_ERROR ianjuta_editor_language_error_quark()

### IAnjutaEditorLanguage

    typedef struct _IAnjutaEditorLanguage IAnjutaEditorLanguage;

### IAnjutaEditorLanguageIface

    typedef struct {
    	IAnjutaEditorIface g_iface;

    	/* Signal */
    	void (*language_changed) (IAnjutaEditorLanguage *obj, const gchar *language);

    	const gchar * (*get_language) (IAnjutaEditorLanguage *obj, GError **err);
    	const gchar * (*get_language_name) (IAnjutaEditorLanguage *obj, const gchar* language, GError **err);
    	const GList* (*get_supported_languages) (IAnjutaEditorLanguage *obj, GError **err);
    	void (*set_language) (IAnjutaEditorLanguage *obj, const gchar* language, GError **err);
    } IAnjutaEditorLanguageIface;

### ianjuta_editor_language_error_quark ()

    GQuark              ianjuta_editor_language_error_quark (void);

Returns : |

### ianjuta_editor_language_get_language ()

    const gchar *       ianjuta_editor_language_get_language
                                                            (IAnjutaEditorLanguage *obj,
                                                             GError **err);

Return the name of the currently used language

`obj` : | Self
`err` : | Error propagation and reporting
Returns : |

### ianjuta_editor_language_get_language_name ()

    const gchar *       ianjuta_editor_language_get_language_name
                                                            (IAnjutaEditorLanguage *obj,
                                                             const gchar *language,
                                                             GError **err);

`obj` : |
`language` : |
`err` : |
Returns : |

### ianjuta_editor_language_get_supported_languages ()

    const GList*        ianjuta_editor_language_get_supported_languages
                                                            (IAnjutaEditorLanguage *obj,
                                                             GError **err);

Return a list of languages supported by the editor Note: These list contains the names in the form the editor implementation knows them

`obj` : | Self
`err` : | Error propagation and reporting
Returns : |

### ianjuta_editor_language_set_language ()

    void                ianjuta_editor_language_set_language
                                                            (IAnjutaEditorLanguage *obj,
                                                             const gchar *language,
                                                             GError **err);

Force the editor to use a given language

`obj` : | Self
`language` : | Language
`err` : | Error propagation and reporting

## Signal Details

### The `"language-changed"` signal

    void                user_function                      (IAnjutaEditorLanguage *ianjutaeditorlanguage,
                                                            gchar                 *arg1,
                                                            gpointer               user_data)                  : Run Last

`ianjutaeditorlanguage` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.